import FormicsForm from './components/FormicsForm.vue'
import mixin from './components/mixin'

// Install the components
const install = function (Vue, Components) {
  Vue.component('FormicsForm', FormicsForm)
  console.log('lol joke')

  Object.keys(Components).forEach((key) => {
    Vue.component(key, Components[key])
  })
}

// module.exports = {
//   mixin,
//   install
// }

export {
  mixin,
  FormicsForm
}

/* -- Plugin definition & Auto-install -- */
/* You shouldn't have to modify the code below */

// Plugin
const plugin = {
  /* eslint-disable no-undef */
  version: VERSION,
  install
}

export default plugin

// Auto-install
let GlobalVue = null
if (typeof window !== 'undefined') {
  GlobalVue = window.Vue
} else if (typeof global !== 'undefined') {
  GlobalVue = global.Vue
}
if (GlobalVue) {
  GlobalVue.use(plugin)
}
